Bug 1008476 - Review Request: perl-Date-HolidayParser - Parser for .holiday-files
Review Request: perl-Date-HolidayParser - Parser for .holiday-files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1024992
  Show dependency treegraph
 
Reported: 2013-09-16 08:59 EDT by Christopher Meng
Modified: 2013-11-10 02:26 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-Date-HolidayParser-0.41-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 00:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-09-16 08:59:39 EDT
Spec URL: http://cicku.me/perl-Date-HolidayParser.spec
SRPM URL: http://cicku.me/perl-Date-HolidayParser-0.41-1.fc21.src.rpm
Description: This is a module that parses .holiday-style files. These are files that
define holidays in various parts of the world. The files are easy to write
and easy for humans to read, but can be hard to parse because the format
allows many different ways to write it.
Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-09-16 09:00:18 EDT
This bug needs be solved quickly as it's a missing dependency of dayplanner package.
Comment 2 Susi Lehtola 2013-09-17 11:51:02 EDT
dayplanner has been in Fedora for 5+ years, so a missing dependency is doubtful. It may be necessary for an upgrade, but the same situation is very common for other packages as well. Please don't usurp the severity, otherwise the whole review queue will quickly turn red.
Comment 3 Christopher Meng 2013-10-24 10:32:44 EDT
(In reply to Susi Lehtola from comment #2)
> dayplanner has been in Fedora for 5+ years, so a missing dependency is
> doubtful. It may be necessary for an upgrade, but the same situation is very
> common for other packages as well. Please don't usurp the severity,
> otherwise the whole review queue will quickly turn red.

Thanks. But I think we need it urgently as dayplanner from 0.11 really requires that.
Comment 4 Parag AN(पराग) 2013-10-24 10:51:08 EDT
I will review this tomorrow.
Comment 5 Parag AN(पराग) 2013-10-24 22:13:18 EDT
+ Package builds fine in mock

+ rpmlint on rpms gave
perl-Date-HolidayParser.noarch: I: checking
perl-Date-HolidayParser.noarch: I: checking-url http://search.cpan.org/dist/Date-HolidayParser/ (timeout 10 seconds)
perl-Date-HolidayParser.src: I: checking
perl-Date-HolidayParser.src: I: checking-url http://search.cpan.org/dist/Date-HolidayParser/ (timeout 10 seconds)
perl-Date-HolidayParser.src: I: checking-url http://www.cpan.org/authors/id/Z/ZE/ZERODOGG/Date-HolidayParser-0.41.tar.gz (timeout 10 seconds)
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha256sum)
srpm     : ec38a54a4029ca3796d3e9a46a231603911f51133e3a8203c6b71588c527d17c
upstream : ec38a54a4029ca3796d3e9a46a231603911f51133e3a8203c6b71588c527d17c

+ License tag is valid

+ make test gave
All tests successful.
Files=3, Tests=374,  0 wallclock secs ( 0.06 usr  0.01 sys +  0.19 cusr  0.02 csys =  0.28 CPU)

+ Package perl-Date-HolidayParser-0.41-1.fc21.noarch
Provides: perl(Date::HolidayParser) = 0.4 perl(Date::HolidayParser::iCalendar) = 0.41 perl-Date-HolidayParser = 0.41-1.fc21
Requires: perl(Any::Moose) perl(Carp) perl(Date::HolidayParser) perl(Exporter) perl(POSIX) perl(constant)

Suggestions:
1) Remove following as it will be installed by yum automatically
Requires:       perl(Any::Moose)
Requires:       perl(Test::More)

2) Though license tag is valid based on license terms written in .pl files, COPYING* files have different license text.
Good to get this clarified with upstream.
Comment 6 Christopher Meng 2013-10-25 07:54:05 EDT
Spec URL: http://cicku.me/perl-Date-HolidayParser.spec
SRPM URL: http://cicku.me/perl-Date-HolidayParser-0.41-2.fc21.src.rpm

Clarification from upstream:

The correct license is the one listed in the COPYING file, that is to
say «GNU GPLv3 or later» as well as the artistic license. I see that the
perl files themselves list only a short GPL blurb, that's because this
library used to be bundled with Day Planner but was split into its
own project and relicensed from «GPLv3 and later» only, to the standard
Perl dual-license as part of that split.
Comment 7 Parag AN(पराग) 2013-10-29 00:17:55 EDT
Good to add this information in spec about upstream clarification.

APPROVED.
Comment 8 Christopher Meng 2013-10-29 00:21:14 EDT
Thanks!

New Package SCM Request
=======================
Package Name: perl-Date-HolidayParser
Short Description: Parser for .holiday-files
Owners: cicku
Branches: f20 f19
Comment 9 Gwyn Ciesla 2013-10-29 07:56:38 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-10-29 23:57:59 EDT
perl-Date-HolidayParser-0.41-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Date-HolidayParser-0.41-2.fc20
Comment 11 Fedora Update System 2013-10-30 00:04:09 EDT
perl-Date-HolidayParser-0.41-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Date-HolidayParser-0.41-2.fc19
Comment 12 Fedora Update System 2013-10-30 13:09:30 EDT
perl-Date-HolidayParser-0.41-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2013-11-03 00:38:02 EDT
perl-Date-HolidayParser-0.41-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-11-10 02:26:36 EST
perl-Date-HolidayParser-0.41-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.